Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007886TestLinkTest Executepublic2017-03-18 07:342017-03-20 06:54
ReporterMichielV 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007886: Mandatory custom fields do not work with execution icons
DescriptionIf a custom field on test execution has been set as required, this is no longer applied when using the new execution buttons.
After some searching I found that the html required attribute will only work when combined with a submit.
I found this SO where 2 possible solutions are suggested.
1) do the input evaluation in Javascript
2) use a short javascript to refer to a hidden submit field. http://stackoverflow.com/questions/16707743/html5-required-validation-not-working [^]

As workaround you can set "$g_tpl = array('inc_exec_controls' => 'inc_exec_controls.tpl');" in the config file.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserIE11, Chrome
PHP Version7.0
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026125)
fman (administrator)
2017-03-18 07:52

Thanks for help, I'm going to check
(0026133)
fman (administrator)
2017-03-19 10:42

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/a8c2a36118c19b5a679d297a78896e46d917bfa4 [^]
(0026134)
fman (administrator)
2017-03-19 10:43

would you mind to get code , retest & provide feedback?
(0026136)
MichielV (reporter)
2017-03-20 05:32

The required field is now working when trying to set execution result via the buttons. Thank you for the quick fix!

- Issue History
Date Modified Username Field Change
2017-03-18 07:34 MichielV New Issue
2017-03-18 07:52 fman Note Added: 0026125
2017-03-19 10:42 fman Note Added: 0026133
2017-03-19 10:43 fman Note Added: 0026134
2017-03-19 10:43 fman Assigned To => fman
2017-03-19 10:43 fman Status new => feedback
2017-03-19 10:43 fman QA Team - Task Workflow Status => TBD
2017-03-19 10:44 fman Relationship added child of 0007817
2017-03-20 05:32 MichielV Note Added: 0026136
2017-03-20 05:32 MichielV Status feedback => assigned
2017-03-20 06:54 fman Status assigned => resolved
2017-03-20 06:54 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-03-20 06:54 fman Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker